<template lang="pug">
	-
		var lista = [{
			titulo: "Semestre 1",
			descripcion: "Sit velit diam ipsum mauris, integer. Ornare mauris ullamcorper nam sagittis, gravida tellus nibh dignissim habitant. Imperdiet in neque, eu, pellentesque lectus suspendisse. Et tincidunt bibendum egestas libero sed integer.",
			acordeon: [{
				titulo: "Epistemología de la Educación",
				contenido: "Horas: 48<br>Créditos: 3"
			},{
				titulo: "Metodología de investigación cientifica educacional",
				contenido: "Horas: 48<br>Créditos: 3"
			},{
				titulo: "Problematica educativa nacional",
				contenido: "Horas: 48<br>Créditos: 3"
			}]
		},{
			titulo: "Semestre 2",
			descripcion: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Magna suspendisse nisl risus platea molestie. Gravida velit vitae ornare ultrices vitae aliquam libero tortor. Cras volutpat enim aenean dolor fermentum.",
			acordeon: [{
				titulo: "Metodología de investigación científica cualitativa",
				contenido: "Horas: 48<br>Créditos: 3"
			},{
				titulo: "Problematica educativa mundial",
				contenido: "Horas: 48<br>Créditos: 3"
			},{
				titulo: "Sem.tesis I: Dis.proy.inv",
				contenido: "Horas: 48<br>Créditos: 3"
			}]
		},{
			titulo: "Semestre 3",
			descripcion: "Et tincidunt bibendum egestas libero sed integer. Ornare mauris ullamcorper nam sagittis, gravida tellus nibh dignissim habitant. Imperdiet in neque, eu, pellentesque lectus suspendisse.",
			acordeon: [{
				titulo: "Innovaciones en la didáctica",
				contenido: "Horas: 48<br>Créditos: 3"
			},{
				titulo: "Metodología de investigación científica cuantitativa",
				contenido: "Horas: 48<br>Créditos: 3"
			},{
				titulo: "Sem. tesis II: Marco teórico referencial y conceptual",
				contenido: "Horas: 48<br>Créditos: 3"
			}]
		},{
			titulo: "Semestre 4",
			descripcion: "Sapien habitant pellentesque eu at. Volutpat, nunc, duis cras orci, faucibus. Pellentesque proin amet, enim bibendum sapien nascetur ut. Platea pellentesque diam sed pharetra eget dui ut posuere.",
			acordeon: [{
				titulo: "Estado actual de la calidad educativa",
				contenido: "Horas: 48<br>Créditos: 3"
			},{
				titulo: "Modelos de gestión educativa",
				contenido: "Horas: 48<br>Créditos: 3"
			},{
				titulo: "Sem. tesis III: Dis.metodologico y elab. Int .inv.",
				contenido: "Horas: 48<br>Créditos: 3"
			}]
		},{
			titulo: "Semestre 5",
			descripcion: "Elementum bibendum dolor volutpat quam aliquam hac massa. Tincidunt tincidunt felis, gravida mauris lectus tellus. Enim ultrices aenean suspendisse tortor duis eget pulvinar nulla vitae. Risus nulla lacus dictumst diam tellus morbi.",
			acordeon: [{
				titulo: "Sem.tesis IV: Aplic.inst.sistematización de resultados",
				contenido: "Horas: 48<br>Créditos: 3"
			}]
		},{
			titulo: "Semestre 6",
			descripcion: "Lorem a sit bibendum sit elementum sit placerat nulla quis. Id quis nulla tellus consequat sed bibendum arcu sed. Integer odio sit elementum, imperdiet justo, donec eget molestie sociis. Congue luctus duis eget pulvinar nulla vitae.",
			acordeon: [{
				titulo: "Sem.tesis V: Elab.sustentación informe investigación",
				contenido: "Horas: 48<br>Créditos: 3"
			}]

		}]


	#malla.maestria
		.titular.seccion: .contenedor
			h2 Doctorado en educación
			h1 Malla Curricular
			p Purus commodo, lorem massa tellus pretium elit id eget. Tincidunt orci sed curabitur sed aliquet commodo elit. Eu erat egestas neque proin consequat platea. Semper sit morbi in et cursus. Nunc mauris, quam sagittis semper. At sit diam id neque, porttitor aliquet mi. Vitae pellentesque elementum turpis pellentesque. Volutpat condimentum nunc risus facilisi montes. Nascetur lectus varius a habitasse cursus enim dignissim nisl ac. Pellentesque justo, ut ac amet. Tristique amet, ultrices proin justo, aenean leo in. Suspendisse malesuada praesent dictumst vestibulum. Varius quis phasellus velit morbi urna, diam faucibus. Dictum netus imperdiet ac luctus diam etiam placerat.
			a(href="#")
				span descargar malla curricular
				img.icono(src="~assets/img/ico-pdf-celeste.svg")

		.contenido.seccion: .contenedor
			h3 plan de estudios
			p Egestas nunc cum varius velit. Tincidunt proin sit massa molestie. Magna ac vestibulum tellus proin maecenas est sed. Nullam scelerisque congue quam auctor eu leo elementum amet neque.
			.lista
				each item in lista
					.item
						h4= item.titulo
						p= item.descripcion
						.acordeon
							each subitem in item.acordeon
								.subitem.activo
									.titulo= subitem.titulo
									.texto !{subitem.contenido}

		.enlaces.seccion: .contenedor
			a(href="#")
				span conoce la plana docente
				img.icono(src="~assets/img/chevron-este-blanco.svg")



</template>

<script>
export default {
	layout: 'programas',
}
</script>


<style lang="stylus">

#malla
	background: white;

	.contenedor
		@media (min-width: 768px)
			max-width 1280px
			padding 2rem 0
			align-items flex-start
			flex-direction column

	.titular
		@media (min-width: 768px)
			background: #FFFFFF;
			position relative
		@media (max-width: 768px)
			padding: 1rem 1rem!important;

		.contenedor
			padding 1.5rem

		h1
			font-family Montserrat;
			font-weight bold;
			font-size 48px;
			line-height 135%;
			letter-spacing -0.022em;
			text-transform uppercase;
			color var(--color-categoria);
			max-width 640px;
			margin-bottom 1.1rem
			@media (max-width: 768px)
				text-align: left!important;
				font-size: 32px!important;

		h2
			font-weight bold
			font-size 18px
			line-height 135%
			letter-spacing -0.022em
			text-transform uppercase
			color var(--color-categoria)
			max-width 640px
			margin-bottom 0.9rem

		p
			font-weight: 300
			font-size: 1rem
			line-height: 150%
			letter-spacing: -0.022em
			color: #4C4B5C;

		a
			font-weight: 600;
			font-size: 15px;
			line-height: 150%;
			letter-spacing: -0.01em;
			text-decoration-line: underline;
			text-transform: lowercase;
			color: #1CCDE6;
			@media (max-width: 768px)
				display: block;
				text-align: center;

			span
				margin-right 0.2em

	.contenido
		.contenedor
			// background alpha(#584DAA, 15%);
			background var(--color-fondo-claro-categoria)
			border-radius: 17px;
			padding 3rem 4rem

		h3
			font-weight: bold;
			font-size: 32px;
			line-height: 135%;
			letter-spacing: -0.022em;
			text-transform: uppercase;
			color: #403A93;
			margin 0 0 8px
			@media (max-width: 768px)
				color: var(--color-categoria);

		p
			font-weight: 300;
			font-size: 13px;
			line-height: 150%;
			letter-spacing: -0.02em;
			color: #4C4B5C;
			margin 0 0 36px

		.lista

			display grid
			grid-template-columns repeat(3, 1fr)
			grid-gap 56px 40px
			margin-bottom 2rem

			.item
				background-color white
				box-shadow: 0px 8px 24px rgba(0, 0, 0, 0.08);
				border-radius: 6px;
				padding 1.5rem 22px
				display grid
				align-content start
				align-items start
				grid-template-rows auto 1fr 2fr
				grid-gap 0

				h4
					font-weight: bold;
					font-size: 16px;
					line-height: 150%;
					letter-spacing: -0.022em;
					text-transform: uppercase;
					color: var(--color-categoria);
				p
					font-weight: 300;
					font-size: 13px;
					line-height: 150%;
					letter-spacing: -0.02em;
					color: #4C4B5C;
					margin-bottom 1em

		.acordeon
			.subitem
				border-bottom: 1px solid #C7C7D3;

				&.activo
					.titulo::after
						transform rotate(180deg)
					.texto
						display: block

			.titulo
				padding 1rem 2rem 1rem .5rem
				font-weight: 500;
				font-size: 14px;
				line-height: 150%;
				letter-spacing: -0.022em;
				color: #4C4B5C;
				position relative
				cursor pointer

				&::after
					content: ""
					display: block
					position absolute
					background-image url("~@/assets/img/chevron-sur.svg")
					width: 10px;
					height: 6px;
					top: calc(50% - 3px);
					right 8px;

			.texto
				padding 1rem 2rem
				font-weight: 300;
				font-size: 12px;
				line-height: 150%;

				letter-spacing: -0.01em;

				color: #4C4B5C;
				display: none

	.enlaces
		.contenedor
			align-items center
			padding 2rem
			a
				display block
				padding 1rem 2.2rem

				background: var(--color-categoria);
				box-shadow: 0px 3px 9px rgba(64, 58, 147, 0.12);
				border-radius: 6px;

				font-weight: 600;
				font-size: 17px;
				line-height: 150%;

				letter-spacing: -0.015em;
				text-decoration-line: underline;
				text-transform: lowercase;

				color: #FFFFFF;
				@media (max-width: 768px)
					padding 1rem 2rem

			.icono
				// margin-left: 1em


</style>
